function dYfuncvecdt = ODEfun(t,Yfuncvec); 
Vs= Yfuncvec(1);
Cc= Yfuncvec(2);
Cca= Yfuncvec(3);
Ct=Yfuncvec(4);
Cta=Yfuncvec(5);
CL1=Yfuncvec(6);
CL2=Yfuncvec(7);
CL3=Yfuncvec(8);
CL4=Yfuncvec(9);
CL5=Yfuncvec(10);
CL6=Yfuncvec(11);
CL7=Yfuncvec(12);
CL8=Yfuncvec(13);
CL9=Yfuncvec(14);
CL10=Yfuncvec(15);
CLa1=Yfuncvec(16);
CLa2=Yfuncvec(17);
CLa3=Yfuncvec(18);
CLa4=Yfuncvec(19);
CLa5=Yfuncvec(20);
CLa6=Yfuncvec(21);
CLa7=Yfuncvec(22);
CLa8=Yfuncvec(23);
CLa9=Yfuncvec(24);
CLa10=Yfuncvec(25);
Cg=Yfuncvec(26);
Cga=Yfuncvec(27);
% Explicit equations
vl = 1.35;          % Liver Flow Rate (l/min)
vt = 1.5;         % Tissue Flow Rate (l)
Vc = 11.56;     % Volume of Central Compartment (l)
Vt = 25.8;     % Volume of Muscle (l)
Vg = 2.4;         % Volume of GI track (l)
Vl = 1.1;         % Volume of Liver (l)
dVl = Vl/10;         % Liver Volume subdivided
VmAL = 2.2;     
Vrev = 29.1;      
KmAL = .3898;     
Krev =  1;        
VmaxAc = 2.74;    
KmAc =  .0015;
Vs1 = 0.15; % Volume of Stomach Contents @ t=0
Cso = 1623; %Stomach concentration in mM @ t=0
Ds =  Vs1*Cso;    %Initial Dose in the Stomach
a1 =  1.5;   %Stomach Absorption Parameter 1
a2 =  .06;    % Stomach Absorption Parameter 2
ks =   a2/(1+a1*(Ds/1000)^2);         

% Differential equations
dVsdt = -ks*Vs; %Absorption from stomach
dCcdt = (-vl*(Cc-CL10)-vt*(Cc-Ct))/Vc;         %Alcohol Balance on Central Compartment
dCcadt =(-vl*(Cca-CLa10)-vt*(Cca-Cta))/Vc;         %Aldehyde Balance on Central Compartment
dCtdt = (vt*(Cc-Ct))/Vt;         %Alcohol Balance on Tissues
dCtadt =(vt*(Cca-Cta))/Vt;         %Aldehyde Balance on Tissues
dCL1dt =(vl*((1/3)*Cc+(2/3)*Cg-CL1)+(-VmAL*CL1+Vrev*CLa1)/(KmAL+CL1+Krev*CLa1)*dVl)/dVl;         %Alcohol Balance on Liver Compartment 1
dCL2dt =(vl*(CL1-CL2)+(-VmAL*CL2+Vrev*CLa2)/(KmAL+CL2+Krev*CLa2)*dVl)/dVl;         %Alcohol Balance on Liver Compartment 2
dCL3dt =(vl*(CL2-CL3)+(-VmAL*CL3+Vrev*CLa3)/(KmAL+CL3+Krev*CLa3)*dVl)/dVl;         %Alcohol Balance on Liver Compartment 3
dCL4dt =(vl*(CL3-CL4)+(-VmAL*CL4+Vrev*CLa4)/(KmAL+CL4+Krev*CLa4)*dVl)/dVl;         %Alcohol Balance on Liver Compartment 4
dCL5dt =(vl*(CL4-CL5)+(-VmAL*CL5+Vrev*CLa5)/(KmAL+CL5+Krev*CLa5)*dVl)/dVl;         %Alcohol Balance on Liver Compartment 5
dCL6dt =(vl*(CL5-CL6)+(-VmAL*CL6+Vrev*CLa6)/(KmAL+CL6+Krev*CLa6)*dVl)/dVl;         %Alcohol Balance on Liver Compartment 6
dCL7dt =(vl*(CL6-CL7)+(-VmAL*CL7+Vrev*CLa7)/(KmAL+CL7+Krev*CLa7)*dVl)/dVl;         %Alcohol Balance on Liver Compartment 7
dCL8dt =(vl*(CL7-CL8)+(-VmAL*CL8+Vrev*CLa8)/(KmAL+CL8+Krev*CLa8)*dVl)/dVl;         %Alcohol Balance on Liver Compartment 8
dCL9dt =(vl*(CL8-CL9)+(-VmAL*CL9+Vrev*CLa9)/(KmAL+CL9+Krev*CLa9)*dVl)/dVl;         %Alcohol Balance on Liver Compartment 9
dCL10dt =(vl*(CL9-CL10)+(-VmAL*CL10+Vrev*CLa10)/(KmAL+CL10+Krev*CLa10)*dVl)/dVl;         %Alcohol Balance on Liver Compartment 10
dCLa1dt =(vl*((1/3)*Cca+(2/3)*Cga-CLa1)-(-VmAL*CL1+Vrev*CLa1)/(KmAL+CL1+Krev*CLa1)*dVl-(CLa1*VmaxAc/(KmAc+CLa1))*dVl)/dVl; %Aldehyde Balance on Liver Compartment 1
dCLa2dt =(vl*(CLa1-CLa2)-(-VmAL*CL2+Vrev*CLa2)/(KmAL+CL2+Krev*CLa2)*dVl-(CLa2*VmaxAc/(KmAc+CLa2))*dVl)/dVl;      %Aldehyde Balance on Liver Compartment 2
dCLa3dt =(vl*(CLa2-CLa3)-(-VmAL*CL3+Vrev*CLa3)/(KmAL+CL3+Krev*CLa3)*dVl-(CLa3*VmaxAc/(KmAc+CLa3))*dVl)/dVl;      %Aldehyde Balance on Liver Compartment 3
dCLa4dt =(vl*(CLa3-CLa4)-(-VmAL*CL4+Vrev*CLa4)/(KmAL+CL4+Krev*CLa4)*dVl-(CLa4*VmaxAc/(KmAc+CLa4))*dVl)/dVl;      %Aldehyde Balance on Liver Compartment 4
dCLa5dt =(vl*(CLa4-CLa5)-(-VmAL*CL5+Vrev*CLa5)/(KmAL+CL5+Krev*CLa5)*dVl-(CLa5*VmaxAc/(KmAc+CLa5))*dVl)/dVl;      %Aldehyde Balance on Liver Compartment 5
dCLa6dt =(vl*(CLa5-CLa6)-(-VmAL*CL6+Vrev*CLa6)/(KmAL+CL6+Krev*CLa6)*dVl-(CLa6*VmaxAc/(KmAc+CLa6))*dVl)/dVl;      %Aldehyde Balance on Liver Compartment 6
dCLa7dt =(vl*(CLa6-CLa7)-(-VmAL*CL7+Vrev*CLa7)/(KmAL+CL7+Krev*CLa7)*dVl-(CLa7*VmaxAc/(KmAc+CLa7))*dVl)/dVl;      %Aldehyde Balance on Liver Compartment 8
dCLa8dt =(vl*(CLa7-CLa8)-(-VmAL*CL8+Vrev*CLa8)/(KmAL+CL8+Krev*CLa8)*dVl-(CLa8*VmaxAc/(KmAc+CLa8))*dVl)/dVl;      %Aldehyde Balance on Liver Compartment 8
dCLa9dt =(vl*(CLa8-CLa9)-(-VmAL*CL9+Vrev*CLa9)/(KmAL+CL9+Krev*CLa9)*dVl-(CLa9*VmaxAc/(KmAc+CLa9))*dVl)/dVl;         %Aldehyde Balance on Liver Compartment 9
dCLa10dt =(vl*(CLa9-CLa10)-(-VmAL*CL10+Vrev*CLa10)/(KmAL+CL10+Krev*CLa10)*dVl-(CLa10*VmaxAc/(KmAc+CLa10))*dVl)/dVl;  %Aldehyde Balance on Liver Compartment 10
dCgdt =   ((2/3)*vl*(Cc-Cg)+ks*Cso*Vs)/Vg;    %Alcohol Balance on GI Track
dCgadt =  ((2/3)*vl*(Cca-Cga))/Vg;         % Aldehyde Balance on GI Track 
dYfuncvecdt=[dVsdt;dCcdt;dCcadt;dCtdt;dCtadt;dCL1dt;dCL2dt;dCL3dt;dCL4dt;dCL5dt;dCL6dt;dCL7dt;dCL8dt;dCL9dt;dCL10dt;dCLa1dt;dCLa2dt;dCLa3dt;dCLa4dt;dCLa5dt;dCLa6dt;dCLa7dt;dCLa8dt;dCLa9dt;dCLa10dt;;dCgdt;dCgadt];



